Bug 198184 - [PATCH] net-mgmt/ettercap Replace deprecated des_ methods with DES_
Summary: [PATCH] net-mgmt/ettercap Replace deprecated des_ methods with DES_
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-02 19:21 UTC by Bernard Spil
Modified: 2015-03-04 20:29 UTC (History)
1 user (show)

See Also:
brnrd: maintainer-feedback+


Attachments
svn diff for net-mgmt/ettercap (2.18 KB, patch)
2015-03-02 19:21 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-02 19:21:28 UTC
Created attachment 153675 [details]
svn diff for net-mgmt/ettercap

OpenSSL has deprecated a large number of des_ methods and types on 24 October 2001 (commit https://github.com/openssl/openssl/commit/c2e4f17c1a0d4d5115c6ede9492de1615fe392ac) and released this 30 December 2002 with OpenSSL 0.9.7 See https://github.com/openssl/openssl/blob/OpenSSL_0_9_7-stable/CHANGES

LibreSSL removed des_old completely, and the next release of OpenSSL (1.0.3) has also removed these compatibility macros. See https://github.com/openssl/openssl/commit/24956ca00f014a917fb181a8abc39b349f3f316f.

This patch replaces the old des_ methods and types with the DES_ ones. This has been accepted upstream for the next version See https://github.com/Ettercap/ettercap/pull/663 and passed their Travis CI.
Comment 1 commit-hook freebsd_committer 2015-03-03 15:42:39 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Mar  3 15:41:57 UTC 2015
New revision: 380379
URL: https://svnweb.freebsd.org/changeset/ports/380379

Log:
  - Replace deprecated des_* methods with DES_* ones

  PR:		198184
  Submitted by:	Bernard Spil <spil.oss@gmail.com>
  Obtained from:	https://github.com/Ettercap/ettercap/commit/f71cd222712d6ecec6f086f3b8acca981e25f819

Changes:
  head/net-mgmt/ettercap/files/patch-src-dissectors-ec_ssh.c
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-03-03 15:43:58 UTC
Committed. Thanks!
Comment 3 Bernard Spil freebsd_committer 2015-03-04 20:29:28 UTC
Meanwhile upstream imported the change 
https://github.com/Ettercap/ettercap/pull/663